"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ChatConfigurationsProvider;
exports.useChatConfigurations = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ChatConfigurations = require("../entities/ChatConfigurations");
var _constants = require("../constants");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ChatConfigurationsContext = /*#__PURE__*/(0, _react.createContext)({
  chatConfigurations: {},
  updateState: () => {}
});
const useChatConfigurations = () => (0, _react.useContext)(ChatConfigurationsContext);
exports.useChatConfigurations = useChatConfigurations;
function ChatConfigurationsProvider(_ref) {
  let {
    initialChatConfigurations,
    children
  } = _ref;
  const isFirstRender = (0, _react.useRef)(true);
  const [chatConfigurations, setChatConfigurations] = (0, _react.useState)(new _ChatConfigurations.ChatConfigurations((initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.title) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredBy) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredByUrl) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.settings) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.isOpen) || false));
  const updateState = () => {
    setChatConfigurations(prevState => new _ChatConfigurations.ChatConfigurations((prevState === null || prevState === void 0 ? void 0 : prevState.title) || _constants.initialConfigs.title, (prevState === null || prevState === void 0 ? void 0 : prevState.poweredBy) || _constants.initialConfigs.poweredBy, (prevState === null || prevState === void 0 ? void 0 : prevState.poweredByUrl) || _constants.initialConfigs.poweredByUrl, (prevState === null || prevState === void 0 ? void 0 : prevState.settings) || _constants.initialConfigs.settings, (prevState === null || prevState === void 0 ? void 0 : prevState.isOpen) || _constants.initialConfigs.isOpen));
  };
  (0, _react.useEffect)(() => {
    if (isFirstRender.current) {
      isFirstRender.current = false;
      return;
    }
    setChatConfigurations(new _ChatConfigurations.ChatConfigurations((initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.title) || _constants.initialConfigs.title, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredBy) || _constants.initialConfigs.poweredBy, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredByUrl) || _constants.initialConfigs.poweredByUrl, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.settings) || _constants.initialConfigs.settings, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.isOpen) || _constants.initialConfigs.isOpen));
  }, [initialChatConfigurations]);
  return /*#__PURE__*/_react.default.createElement(ChatConfigurationsContext.Provider, {
    value: {
      chatConfigurations,
      updateState
    }
  }, children);
}
//# sourceMappingURL=ChatConfigurationsContext.js.map