import React, { createContext, useContext, useState, useEffect, useRef } from 'react';
import { ChatConfigurations } from '../entities/ChatConfigurations';
import { initialConfigs } from '../constants';
const ChatConfigurationsContext = /*#__PURE__*/createContext({
  chatConfigurations: {},
  updateState: () => {}
});
export const useChatConfigurations = () => useContext(ChatConfigurationsContext);
export default function ChatConfigurationsProvider(_ref) {
  let {
    initialChatConfigurations,
    children
  } = _ref;
  const isFirstRender = useRef(true);
  const [chatConfigurations, setChatConfigurations] = useState(new ChatConfigurations((initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.title) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredBy) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredByUrl) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.settings) || '', (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.isOpen) || false));
  const updateState = () => {
    setChatConfigurations(prevState => new ChatConfigurations((prevState === null || prevState === void 0 ? void 0 : prevState.title) || initialConfigs.title, (prevState === null || prevState === void 0 ? void 0 : prevState.poweredBy) || initialConfigs.poweredBy, (prevState === null || prevState === void 0 ? void 0 : prevState.poweredByUrl) || initialConfigs.poweredByUrl, (prevState === null || prevState === void 0 ? void 0 : prevState.settings) || initialConfigs.settings, (prevState === null || prevState === void 0 ? void 0 : prevState.isOpen) || initialConfigs.isOpen));
  };
  useEffect(() => {
    if (isFirstRender.current) {
      isFirstRender.current = false;
      return;
    }
    setChatConfigurations(new ChatConfigurations((initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.title) || initialConfigs.title, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredBy) || initialConfigs.poweredBy, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.poweredByUrl) || initialConfigs.poweredByUrl, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.settings) || initialConfigs.settings, (initialChatConfigurations === null || initialChatConfigurations === void 0 ? void 0 : initialChatConfigurations.isOpen) || initialConfigs.isOpen));
  }, [initialChatConfigurations]);
  return /*#__PURE__*/React.createElement(ChatConfigurationsContext.Provider, {
    value: {
      chatConfigurations,
      updateState
    }
  }, children);
}
//# sourceMappingURL=ChatConfigurationsContext.js.map