import React, { createContext, useContext, useState, useRef, useEffect } from 'react';
import { MessageList } from '../entities/MessageList';
const MessageListContext = /*#__PURE__*/createContext({
  messageList: new MessageList([]),
  updateState: () => {}
});
export const useMessageList = () => useContext(MessageListContext);
export default function MessageListProvider(_ref) {
  let {
    children,
    initialMessageList
  } = _ref;
  const isFirstRender = useRef(true);
  const [messageList, setMessageList] = useState(initialMessageList);
  const updateState = () => {
    setMessageList(prevMessageList => new MessageList([...(prevMessageList === null || prevMessageList === void 0 ? void 0 : prevMessageList.messages)]));
  };
  useEffect(() => {
    if (isFirstRender.current) {
      isFirstRender.current = false;
      return;
    }
    setMessageList(initialMessageList);
  }, [isFirstRender.current]);
  return /*#__PURE__*/React.createElement(MessageListContext.Provider, {
    value: {
      messageList,
      updateState
    }
  }, children);
}
//# sourceMappingURL=MessageListContext.js.map