import { channel } from '../constants/channel';
import { initialConfigs } from '../constants/initialChatConfigurations';
export class ChatConfigurationsHttpGateway {
  constructor(httpAdapter) {
    this.httpAdapter = httpAdapter;
  }
  _treatStyles(apiResponse) {
    const [activeChannel] = apiResponse.channels.filter(ch => {
      var _ch$channelId, _ch$channelId$toLower;
      return (ch === null || ch === void 0 ? void 0 : (_ch$channelId = ch.channelId) === null || _ch$channelId === void 0 ? void 0 : (_ch$channelId$toLower = _ch$channelId.toLowerCase) === null || _ch$channelId$toLower === void 0 ? void 0 : _ch$channelId$toLower.call(_ch$channelId)) === channel;
    });
    if (activeChannel) {
      return {
        title: activeChannel.settings.headerName || initialConfigs.title,
        poweredBy: activeChannel.poweredBy || initialConfigs.poweredBy,
        poweredByUrl: activeChannel.poweredByUrl || initialConfigs.poweredByUrl,
        settings: {
          botFab: activeChannel.settings.botFab || initialConfigs.settings.botFab,
          mainColor: activeChannel.settings.mainColor || initialConfigs.settings.mainColor,
          secondaryColor: activeChannel.settings.secondaryColor || initialConfigs.settings.secondaryColor,
          mainTextColor: activeChannel.settings.mainTextColor || initialConfigs.settings.mainTextColor,
          secondaryTextColor: activeChannel.settings.secondaryTextColor || initialConfigs.settings.secondaryTextColor
        }
      };
    } else {
      return initialConfigs;
    }
  }
  async getStyles(botId) {
    const styles = await this.httpAdapter.get(`/${botId}`);
    return this._treatStyles(styles);
  }
}
//# sourceMappingURL=ChatConfigurationsHttpGateway.js.map