import { SessionGateway } from './SessionGateway';
import { HttpConnection, SocketConnection, Storage } from '../infra';
import { Session } from '../entities/Session';
import { OnEndConversationCallback } from '../infra/ports/SocketConnection';
import { SocketPayload } from 'src/types';
export declare class SessionStorageGateway implements SessionGateway {
    private readonly storage;
    private readonly httpClient;
    private readonly ws;
    constructor(storage: Storage, httpClient: HttpConnection, ws: SocketConnection);
    sendAction(action: SocketPayload): Promise<void>;
    subscribe(sessionId: string): Promise<Session>;
    getCurrent(): Promise<string>;
    changeSession(newSessionId: string): Promise<string>;
    clearSession(): Promise<Session>;
    linkSession(): Promise<void>;
    onEndConversation(callback: OnEndConversationCallback): Promise<void>;
}
//# sourceMappingURL=SessionStorageGateway.d.ts.map